Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIDataGrid.Properties

    java.lang.Object
      java.lang.Enum<UIDataGrid.Properties>
          org.richfaces.component.UIDataGrid.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIDataGrid.Properties>

Enclosing class:
  UIDataGrid

    protected static enum UIDataGrid.Properties

extends Enum<UIDataGrid.Properties>

Enum Constant Summary
`elements`
`rows`
`style`
`styleClass`
`title`

Method Summary
`static UIDataGrid.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIDataGrid.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### elements

    public static final UIDataGrid.Properties elements

### rows

    public static final UIDataGrid.Properties rows

### style

    public static final UIDataGrid.Properties style

### styleClass

    public static final UIDataGrid.Properties styleClass

### title

    public static final UIDataGrid.Properties title

Method Detail

### values

    public static UIDataGrid.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIDataGrid.Properties c : UIDataGrid.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIDataGrid.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.